Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.inference.protegeowl.log
Class ReasonerErrorExceptionLogRecord

    java.lang.Object
      edu.stanford.smi.protegex.owl.inference.protegeowl.log.ReasonerLogRecord
          edu.stanford.smi.protegex.owl.inference.protegeowl.log.ReasonerErrorExceptionLogRecord

All Implemented Interfaces:
  ListCellRenderer, TreeCellRenderer

    public class ReasonerErrorExceptionLogRecord

extends ReasonerLogRecord

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: Aug 26, 2004

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Constructor Summary
`ReasonerErrorExceptionLogRecord(ProtegeReasonerException ex, ReasonerLogRecord parent)`

Method Summary
`Component` | `getListCellRendererComponent(JList list, Object value, int index, boolean isSelected, boolean cellHasFocus)`
`Component` | `getTreeCellRendererComponent(JTree tree, Object value, boolean selected, boolean expanded, boolean leaf, int row, boolean hasFocus)`

Methods inherited from class edu.stanford.smi.protegex.owl.inference.protegeowl.log.ReasonerLogRecord
`getParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReasonerErrorExceptionLogRecord

    public ReasonerErrorExceptionLogRecord(ProtegeReasonerException ex,
                                           ReasonerLogRecord parent)

Method Detail

### getListCellRendererComponent

    public Component getListCellRendererComponent(JList list,
                                                  Object value,
                                                  int index,
                                                  boolean isSelected,
                                                  boolean cellHasFocus)

### getTreeCellRendererComponent

    public Component getTreeCellRendererComponent(JTree tree,
                                                  Object value,
                                                  boolean selected,
                                                  boolean expanded,
                                                  boolean leaf,
                                                  int row,
                                                  boolean hasFocus)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.